% script_sims_figure_revision
% script to make sims figure exactly. Used by step_on_rake_JC
% make sims figure

figure;
subplot(5,2,1)
plot(t,rt/em,'-k');
ylabel('i (r)');
axis([-1 16 0 1.05]); 

subplot(5,2,2); 
plot(t,at/em,'-k');
ylabel('y (a)');
axis([-1 16 0.01 0.11]); 

subplot(5,2,3);
plot(t,(rt-pit)/em,'-k');
ylabel('r (rho)');
axis([-1 16 -0.01 1.2]); 

subplot(5,2,4);
plot(t,pit/em,'-k');
ylabel('\pi (w)');
axis([-1 16 -0.149 0.08]); 

subplot(5,2,5);
plot(t,pt/em,'-k');
ylabel('p');
axis([-1 16 -0.3 0.41]); 

subplot(5,2,6);
plot(t,taut/em,'-k');
ylabel('s (tau)')
axis([-1 16 -0.3 0.06]); 

subplot(5,2,7);
plot(t,ct/em,'-k');
ylabel('c');
axis([-1 16 -0.30 0.06]); 

subplot(5,2,8)
plot(t,cdott/em,'-k');
ylabel('$\dot{c}$ (cc)','Interpreter','latex'); 
axis([-1 16 -0.6 0.09]); 

subplot(5,2,9)
plot(t,bt/em,'-k');
ylabel('b');
axis([-1 16 -4.5 1]); 

subplot(5,2,10);
plot(t,lamt/em,'-k');
ylabel('\lambda (lam)');
axis([-1 16 -0.2 2]); 

