% script_sims_rates_graph_revision.m.
% Makes plots of interest rates
% for unexpected shocks of sims model

% uses flag expected for the expected shock case
figure;
%plot(t,[[rt at rhot pit]]/em,'linewidth',2);
plot([(-1:dt:0)'; t],[ (-1:dt:0)'*[ 0];[pit ]/em],'-r','linewidth',2);
hold on
plot([(-1:dt:0)'; t],[ (-1:dt:0)'*[ 0];[ rt]/em],'--b','linewidth',2);

colorvec = get(gcf,'defaultaxescolororder');
plot(t(1:1/dt:end),[rt(1:1/dt:end)]/em,'v','color','b','linewidth',2);
plot(t(1:1/dt:end),[pit(1:1/dt:end)]/em,'o','color','r','linewidth',2);
plot(t,0*t,'-k');
ylabel('Percent', 'fontsize',16);
%legend('Nominal rate', 'Bond yield' ,'Real rate' ,'Inflation \pi');
%legend('Nominal rate r', 'Inflation \pi');
xlabel('Time', 'fontsize',16)
